LINUX.ORG.RU

Драйвер ATI HD 5470 для Ubuntu 10.04


0

1

Скачал с официального сайта графическйи драйвер для «ATI MobiliTy Radeon HD 5470 Graphics 512 MB». Название файла драйвера: ati-driver-installer-11-7-x86.x86_64.run OS: Ubuntu 10.04 x32

Как удалить старый драйвер, а потом установить новый?


> Скачал с официального сайта графическйи драйвер для «ATI MobiliTy Radeon HD 5470 Graphics 512 MB».
Почему бы просто не воспользоваться менеджером проприетарных драйверов?

AITap ★★★★★ ()
Ответ на: комментарий от AITap

Так и надо: через менеджер проприетарных драйверов удалить проприетарный драйвер старой версии, и через консоль установить дарйвер новой версии.

Автор, открой консоль, набери cd «каталог с файлом», затем sudo sh файл. У тебя спросят «Вам так установить, или создать пакет?» Выбирай второе. Кстати, затирать старый драйвер вовсе не надо, он сам затрётся перед установкой нового. А ещё в убунте, кажется, надо предварительно установить пакеты fakeroot, cdbs, dkms и debhelper, если надо сгенерировать пакет. В моей SuSE этого не потребовалось.

ZenitharChampion ★★★★★ ()
Ответ на: комментарий от ZenitharChampion

Не помню, что установил (драйвер). Он вылез и требовал обновиться в трее, возле часов. Установка прошла нормально. После перезагрузки стала вылезать постоянно такая ошибка:

Цитировать Ubuntu запущена в режиме низкого разрешения

Возникла следующая ошибка. Возможно, придётся обновить конфигурацию для её устранения.

(EE) fglrx(0): Invalid video BIOS signature! (EE) fglrx(0): GetBIOSParameter failed (EE) fglrx(0): PrelnitAdapter failed (EE) fglrx(0): Prelnit failed (EE) Screen(s) found, but none have a usable configuration.

OK

Жму ОК и вылазит окно: Цитировать ● Запустить ubuntu в режиме низкого разрешения только на один сеанс ● Создать новую конфигурацию графической подсистемы ● Устранить ошибку ● Выйти в консольный режим ● Перезапустить Х-сервер

Жму «Перезапустить Х-сервер» и идёт нормальная загрузка.

Вот, почему надо переустановить драйвер.

В не могли бы Вы расписать подробно, с примерами, как через Терминал установить драйвера (Как удалить я понял).

n199a ()

> Ubuntu 10.04 x32

ati-driver-installer-11-7-x86.x86_64.run

x86_64



Мне одному кажется что тут что-то не так?

bsdfun ★★★★★ ()
Ответ на: комментарий от n199a

Мне льстит, что ко мне обращаются как к специалисту. Ты ведь разобрался уже? Если да - можно узнатьк ак? У меня fglrx на ноутбуке и этой ошибки я пока не видел.

ZenitharChampion ★★★★★ ()
Ответ на: комментарий от ZenitharChampion

> Нет, всё правильно. Это установщик и того и того сразу. x86.x86_64.

Не знал. :)

bsdfun ★★★★★ ()
Ответ на: комментарий от ZenitharChampion

Зачем ты ставишь вручную, если есть репа, в которой в день с релизом появляются обновы?

X10Dead ★★★★★ ()

А что, стандартный fglx из репозитория не завелся?

Мой тебе совет: если хочешь свежатинки попробуй подключить PPA «X.Org Edgers Team» командами

sudo apt-add-repository ppa:xorg-edgers
sudo apt-get update

LongLiveUbuntu ★★★★★ ()
Ответ на: комментарий от n199a

Вот его и надо было ставить вместо того чтобы с сайта качать Windows-style )

LongLiveUbuntu ★★★★★ ()
Ответ на: комментарий от LongLiveUbuntu

x32=x86 (это одно и то же)

Скачиваете драйвера с официального сайта: http://ati.com

Заходим в:

Приложения-Стандартные-Терминал

cd /media/xxxxxxxxxx (Enter)

sudo sh ati-driver-installer-11-7-x86.x86_64.run (Enter)

Появится окошко ATI. В этом окне надо выбрать «Вторую строчку по счёту» (Их там всего две)

Потом из этого списка (http://saveimg.ru/show-image.php? id=44bfc566a935d11cdcd4d52bbd8bf2ff) надо поставить галочку на «SuSE Packeges» и галочку на «SuSE/SLE 10-IA32» -> Contunie

На этом установка окончена.

n199a ()
Ответ на: комментарий от LongLiveUbuntu

> Windows-style ) особенно легко Ъ-линуксоиду когда то что в репозитории глючит, а версию с исправлениями не позволяет поставить его трушность

onon ★★★ ()
Ответ на: комментарий от onon

Версии с исправлениями ВНЕЗАПНО хранятся в вышеуказанном PPA.

LongLiveUbuntu ★★★★★ ()
Ответ на: комментарий от X10Dead

Это в какой ещё репе появлятся обновления? Зачем ставить из левой репы неизвестно кем сделанной, когда есть официальный пакет?

ZenitharChampion ★★★★★ ()
Ответ на: комментарий от LongLiveUbuntu

> ВНЕЗАПНО

Эти школьники так любят повторять умные словечки с лукморя

ZenitharChampion ★★★★★ ()
Ответ на: комментарий от LongLiveUbuntu

А ты знаешь, как там про Linux отзываются? А ведь это Библия, все должны читать этот сайт и думать как там.

ZenitharChampion ★★★★★ ()
Ответ на: комментарий от ZenitharChampion

Тут все так пишут. И потом, тебе по делу все равно возразить нечего - ведь так?

LongLiveUbuntu ★★★★★ ()
Ответ на: комментарий от X10Dead

Ну это SuSE, у меня тоже SuSE, но у автора Ubuntu, а следовательно ему если и ставить из репозитария, то из PPA, то есть из какого-то непонятно кем сделанного. Лучше официаальный DEB.

ZenitharChampion ★★★★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.